// MiafeOneDlg.h : header file
//

#if !defined(AFX_MIAFEONEDLG_H__67EC4E78_751F_4439_AFAD_0F367480A8E4__INCLUDED_)
#define AFX_MIAFEONEDLG_H__67EC4E78_751F_4439_AFAD_0F367480A8E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMiafeOneDlg dialog

class CMiafeOneDlg : public CDialog
{
// Construction
public:
	void SetButtonState(bool sloadkey,bool sfindcard,bool devfunc,bool sverify,bool scardfunc,bool shalt);
	CMenu m_menu;
	CMiafeOneDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMiafeOneDlg)
	enum { IDD = IDD_MIAFEONE_DIALOG };
	CButton	m_btnVerify;
	CButton	m_btnHalt;
	CButton	m_btnLoadkey;
	CButton	m_btnFindCard;
	CButton	m_btnDevfunc;
	CButton	m_btnCardfunc;
	CListBox	m_list1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMiafeOneDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMiafeOneDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnFindcard();
	afx_msg void OnBtnLoadkey();
	afx_msg void OnVerifycard();
	afx_msg void OnBtnCardfunc();
	afx_msg void OnBtnDevfunc();
	afx_msg void OnHalt();
	afx_msg void OnOpen();
	afx_msg void OnMenuUnlink();
	afx_msg void OnMenuM1();
	afx_msg void OnMenuS70();
	afx_msg void OnMenuUltralit();
	afx_msg void OnBtnClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void show(CString datastr);
public:
	int CheckLinkState();
	void setcardtype();
	int cardtype;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MIAFEONEDLG_H__67EC4E78_751F_4439_AFAD_0F367480A8E4__INCLUDED_)
